• Antergos mirror error


    Dude pls help me, is 3 days I’m tring install antergos, yesterday (and also today) it give me an error during verifing pakage in cnchi, I tryed to reinstall antergos-mirrors but it give me signature error.
    This is the last part of log, tell me if you need some translations

    [2015-08-07 11:35:45] [pac] DEBUG: found cached pkg: /install/var/cache/pacman/pkg/man-pages-4.01-1-any.pkg.tar.xz
    [2015-08-07 11:35:45] [pac] DEBUG: sha256sum: 274eee98426b29ccab3cc3d3ddf6de46868a9f4b04571e3ea86cd06347f3eda6
    [2015-08-07 11:35:45] [pac] DEBUG: checking sha256sum for /install/var/cache/pacman/pkg/man-pages-4.01-1-any.pkg.tar.xz
    [2015-08-07 11:35:45] [pac] ERROR: returning error 33 from check_validity : il pacchetto non è valido oppure è corrotto
    [2015-08-07 11:35:45] [pac] ERROR: Impossibile inizializzare la transazione alpm: transaction failed, pm_errno 33 (il pacchetto non è valido oppure è corrotto), []
    [2015-08-07 11:35:45] [pac] DEBUG: Rilasciando la transazione alpm ...
    [2015-08-07 11:35:45] [pac] DEBUG: Transazione alpm completata.
    [2015-08-07 11:35:45] [process] ERROR: 'Impossibile installare dei pacchetti indispensabili. Cnchi non può proseguire.'
    [2015-08-07 11:35:45] [process] ERROR: Traceback (most recent call last):
    
    [2015-08-07 11:35:45] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 166, in run
        self.run_installation()
    
    [2015-08-07 11:35:45] [process] ERROR:   File "/usr/share/cnchi/cnchi/misc/misc.py", line 175, in helper
        return func(*args, **kwargs)
    
    [2015-08-07 11:35:45] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 362, in run_installation
        self.install_packages()
    
    [2015-08-07 11:35:45] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 724, in install_packages
        raise InstallError(txt)
    
    [2015-08-07 11:35:45] [process] ERROR: misc.misc.InstallError: 'Impossibile installare dei pacchetti indispensabili. Cnchi non può proseguire.'
    
    [2015-08-07 11:35:45] [show_message] ERROR: 'Impossibile installare dei pacchetti indispensabili. Cnchi non può proseguire.'```
  • It appears that there is some data corruption in the package downloads. Is your internet connection reliable? Here’s something you can try: On the second to last screen where you are asked to confirm your parittion changes, open a terminal and run the following command before continuing to the next step of the install process:

    sudo reflector -l 20 -f 20 --save /etc/pacman.d/mirrorlist
    

    Let me know if it helps. Cheers!

  • @lots.0.logs
    sudo: reflector: command not found
    I have the same problem when trying to update packages. I always end up having the same error messages: failed to commit transaction (invalid or corrupted package) Errors occurred, no packages were upgraded.
    I’ve tried all of these, but no way:
    sudo pacman-key --refresh-keys
    sudo pacman-key --init
    sudo pacman-key --populate archlinux antergos
    sudo pacman -Syy
    sudo pacman -S archlinux-keyring

    Please, help!!

  • Of course it’s the one thing you havent tried hehe

    sudo pacman -Scc
    
  • @lots.0.logs Oooh OK I did it and now thats what I get: “invalid or corrupted package (PGP signature) for :”

    • dropbox
    • gnome-shell-extension-dash-to-dock
    • package-query

    Do you want to delete it ? Yes, and then “Errors occurred, no packages were upgraded…”
    grrrrrrr …I can’t update my Antergos!!!

  • @ant77 You need to update the keyring package before trying to install other updates.

  • sudo pacman-key --refresh-keys
    gpg: refreshing 85 keys from hkp://pool.sks-keyservers.net
    gpg: connecting dirmngr at ‘/root/.gnupg/S.dirmngr’ failed: IPC connect call failed
    gpg: keyserver refresh failed: No dirmngr
    ==> ERROR: A specified local key could not be updated from a keyserver.

    May be time to re-configure my mirrorlist? How can I test a new mirror?

  • @ant77

    For reflector; you need to install reflector for it to work sudo pacman -Syy reflector then run sudo reflector --verbose -l 60 -p http --sort rate --save /etc/pacman.d/mirrorlist

    The keyring issue was talked about in this topic, which is now fixed by doing sudo pacman -Syy antergos-keyring.

  • @Wyn Thank you!
    My antergos is finally up to date

  • This post is deleted!
  • @Wyn said:

    @ant77

    For reflector; you need to install reflector for it to work sudo pacman -Syy reflector then run sudo reflector --verbose -l 60 -p http --sort rate --save /etc/pacman.d/mirrorlist

    The keyring issue was talked about in this topic, which is now fixed by doing sudo pacman -Syy antergos-keyring.

    Man, you are my hero! now it work, thank you all!

  • This post is deleted!
install82 instalation13 mirrors13 Posts 12Views 4077
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.